summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petr Kletecka <petr@kle.cz>2013-06-20 17:57:32 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2013-06-20 17:57:32 -0300
commit9b16df7127c63f8670ee34af63738106b6c6629d (patch)
tree68ec18a1599535bd9463f328b68c45a5520ee882
parent2c34eefc1e23a2c12a1067d47fd7dcf4e22ac28b (diff)
downloadslackbuilds-9b16df7127c63f8670ee34af63738106b6c6629d.tar.gz
slackbuilds-9b16df7127c63f8670ee34af63738106b6c6629d.tar.xz
system/unp: Added (unpack almost everything with one command)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--system/unp/README3
-rw-r--r--system/unp/slack-desc19
-rw-r--r--system/unp/unp.SlackBuild45
-rw-r--r--system/unp/unp.info10
4 files changed, 77 insertions, 0 deletions
diff --git a/system/unp/README b/system/unp/README
new file mode 100644
index 0000000000..0d7e506c32
--- /dev/null
+++ b/system/unp/README
@@ -0,0 +1,3 @@
+unp is a small perl script which makes extraction of any archive files a
+bit easier. It support several compressors and archiver programs, chooses
+the right one(s) automatically and extracts one or more files in one go.
diff --git a/system/unp/slack-desc b/system/unp/slack-desc
new file mode 100644
index 0000000000..9202395c53
--- /dev/null
+++ b/system/unp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+unp: unp (unpack almost everything with one command)
+unp:
+unp: unp is a small perl script which makes extraction of any archive
+unp: files a bit easier. It support several compressors and archiver
+unp: programs, chooses the right one(s) automatically and extracts
+unp: one or more files in one go.
+unp:
+unp: website: http://packages.debian.org/en/squeeze/unp
+unp:
+unp:
+unp:
diff --git a/system/unp/unp.SlackBuild b/system/unp/unp.SlackBuild
new file mode 100644
index 0000000000..5dbea10e90
--- /dev/null
+++ b/system/unp/unp.SlackBuild
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+# Slackware build script for unp
+
+# Petr Kletecka petr@kle.cz <2013>
+
+PRGNAM=unp
+VERSION=${VERSION:-2.0~pre4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xf $CWD/${PRGNAM}_${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cat unp > $PKG/usr/bin/unp
+chmod oug+x $PKG/usr/bin/unp
+
+mkdir -p $PKG/usr/man/man1
+gzip -9c debian/unp.1 > $PKG/usr/man/man1/unp.1.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/unp/unp.info b/system/unp/unp.info
new file mode 100644
index 0000000000..1e82c4fda8
--- /dev/null
+++ b/system/unp/unp.info
@@ -0,0 +1,10 @@
+PRGNAM="unp"
+VERSION="2.0~pre4"
+HOMEPAGE="http://packages.debian.org/en/squeeze/unp"
+DOWNLOAD="http://ftp.debian.org/debian/pool/main/u/unp/unp_2.0~pre4.tar.gz"
+MD5SUM="9163572febf099f57664f22f7be154f0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petr Kletecka"
+EMAIL="petr@kle.cz"